### Signal

# Gtk TextBuffer::begin-user-action

#### Declaration

    void
    begin_user_action (
      GtkTextBuffer self,
      gpointer user_data
    )

#### Description [src]

Emitted at the beginning of a single user-visible operation on a `GtkTextBuffer`.

See also: gtk_text_buffer_begin_user_action(), gtk_text_buffer_insert_interactive(), gtk_text_buffer_insert_range_interactive(), gtk_text_buffer_delete_interactive(), gtk_text_buffer_backspace(), gtk_text_buffer_delete_selection().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.